/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'field_id',
        dataType: 'TEXT',
      },
      {
        name: 'srfmajortext',
        prop: 'field_name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'fieldname',
        prop: 'field_name',
        dataType: 'TEXT',
      },
      {
        name: 'codename',
        prop: 'code_name',
        dataType: 'TEXT',
      },
      {
        name: 'fieldlogicname',
        prop: 'field_logic_name',
        dataType: 'TEXT',
      },
      {
        name: 'dict',
        prop: 'dict',
        dataType: 'TEXT',
      },
      {
        name: 'fieldtype',
        prop: 'field_type',
        dataType: 'TEXT',
      },
      {
        name: 'datatype',
        prop: 'data_type',
        dataType: 'TEXT',
      },
      {
        name: 'datalength',
        prop: 'data_length',
        dataType: 'INT',
      },
      {
        name: 'datapreci',
        prop: 'data_preci',
        dataType: 'INT',
      },
      {
        name: 'keyfield',
        prop: 'key_field',
        dataType: 'YESNO',
      },
      {
        name: 'majorfield',
        prop: 'major_field',
        dataType: 'YESNO',
      },
      {
        name: 'nullable',
        prop: 'nullable',
        dataType: 'YESNO',
      },
      {
        name: 'physicalfield',
        prop: 'physical_field',
        dataType: 'YESNO',
      },
      {
        name: 'expression',
        prop: 'expression',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'predefined',
        prop: 'predefined',
        dataType: 'TEXT',
      },
      {
        name: 'unionkey',
        prop: 'union_key',
        dataType: 'TEXT',
      },
      {
        name: 'relationname',
        prop: 'relation_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'reffieldname',
        prop: 'ref_field_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'relationcodename',
        prop: 'relation_code_name',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'refentityname',
        prop: 'ref_entity_name',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'showorder',
        prop: 'show_order',
        dataType: 'INT',
      },
      {
        name: 'extensionfield',
        prop: 'extension_field',
        dataType: 'YESNO',
      },
      {
        name: 'isenableaudit',
        prop: 'is_enable_audit',
        dataType: 'YESNO',
      },
      {
        name: 'entityid',
        prop: 'entity_id',
        dataType: 'PICKUP',
      },
      {
        name: 'entityname',
        prop: 'entity_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'relationid',
        prop: 'relation_id',
        dataType: 'PICKUP',
      },
      {
        name: 'reffieldid',
        prop: 'ref_field_id',
        dataType: 'PICKUP',
      },
      {
        name: 'fieldid',
        prop: 'field_id',
        dataType: 'TEXT',
      },
      {
        name: 'metafield',
        prop: 'field_id',
        dataType: 'FONTKEY',
      },
    ]
  }

}